package org.arefgard.flow.exception;

/**
 * サポートしていないDIコンテナが指定されたことを示す例外。
 * 
 * @author Takashi Yamashina
 * @since 1.0.0
 */
public class DIContainerNotSupportedException extends UsecaseFlowException {
	public DIContainerNotSupportedException() {
	}

	public DIContainerNotSupportedException(String arg0) {
		super(arg0);
	}

	public DIContainerNotSupportedException(Throwable arg0) {
		super(arg0);
	}

	public DIContainerNotSupportedException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}
}
